Page MenuHomePhabricator

adyen cookie error after entering information on mobile Safari
Closed, ResolvedPublic

Description

steps:

Result:
iframe loaded very slowly compared to other parts of the page. After filling out form and hitting the "pay" button the form in the iframe disappears and you are stuck on the form.

Expected result:
my payment completes and I go to the TY page.

Event Timeline

DStrine created this task.Sep 27 2017, 9:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2017, 9:29 PM

update

I didn't realize I was also getting this error:

"Unfortunately we were unable to process this request. Perhaps your browser does not accept cookies or the previous page was a saved or cached copy?"

I went and found that my cookie settings were for "allow from websites I visit". I set it to "always allow" and I was able to make a cc donation.

Ah yes, I get the same error, and doing the same thing fixed it. Also on desktop Safari, which has the same settings.

I found this info about the setting on Apple's site https://support.apple.com/kb/PH21447?locale=en_US

Allow from websites I visit: Safari accepts cookies and website data only from websites you visit. Safari uses your existing cookies to determine whether you have visited a website before. Selecting this option helps prevent websites that have embedded content in other websites you browse from storing cookies and data on your Mac.

That would certainly impact the iframe. Afaik I've never changed this on my iPad, so this might be the default behaviour which is concerning.

Is this something we can ask Adyen to help us with?

Pcoombe renamed this task from adyen cc form disappears after entering information on ipad to adyen cookie error after entering information on Safari .Sep 28 2017, 12:44 PM
XenoRyet triaged this task as High priority.Oct 2 2017, 7:47 PM
Ejegg added a subscriber: Ejegg.Oct 2 2017, 9:58 PM

One possibility: we do client-side browser detection and then for Safari do full redirects rather than show an iframe.

@Ppena @MeganHernandez_WMF @Pcoombe @jrobell what do you think of Elliott's suggestion? I say let's go for it at least to test.

Testing that sounds good to me.

mepps claimed this task.Oct 16 2017, 8:29 PM
mepps added a subscriber: mepps.

I'll be looking at this tonight and tomorrow morning.

Change 385253 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] Redirect for Safari multiskins

https://gerrit.wikimedia.org/r/385253

Change 385253 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Redirect for Safari multiskins

https://gerrit.wikimedia.org/r/385253

Change 385483 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Unit tests for Adyen multi-skin switching

https://gerrit.wikimedia.org/r/385483

Change 385483 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Unit tests for Adyen multi-skin switching

https://gerrit.wikimedia.org/r/385483

Change 387717 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Adyen: deal with non-iframe return

https://gerrit.wikimedia.org/r/387717

Change 387727 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Fix exception signature

https://gerrit.wikimedia.org/r/387727

Change 387740 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Adyen transitional code - revert a day after deployment

https://gerrit.wikimedia.org/r/387740

Change 387717 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Adyen: deal with non-iframe return

https://gerrit.wikimedia.org/r/387717

Change 387727 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix exception signature

https://gerrit.wikimedia.org/r/387727

Change 387740 abandoned by Ejegg:
Adyen transitional code - revert a day after deployment

Reason:
To be replaced with setGatewayDefaults

https://gerrit.wikimedia.org/r/387740

DStrine renamed this task from adyen cookie error after entering information on Safari to adyen cookie error after entering information on mobile Safari .Nov 20 2017, 5:21 PM
DStrine updated the task description. (Show Details)
mepps added a comment.Nov 20 2017, 9:32 PM

@DStrine to be clear, what browsers exactly does this affect? Just ios, only safari on ios, or andriod as well? The fix we deploye d originally was only for safari desktop.

chrome and firefox on android are fine. Chrome on my ipad is also fine. Firefox on my ipad shows the same bug as safari above.

Change 392665 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] Filter for ios and safari

https://gerrit.wikimedia.org/r/392665

Change 392665 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Filter for ios and safari

https://gerrit.wikimedia.org/r/392665

mepps added a comment.Nov 27 2017, 3:52 PM

@DStrine, this is deployed--can you confirm it fixes the issue for you?

I just retested. I was sent to a second page to input my CC information. It looks like it went through and I was sent to the thank you page.

Thanks for working on this!

@Ppena try this out on any ios device. Make sure you have cleared all history for safari and set these two settings :

"Prevent cross-site tracking" set to: ON
"Block All Cookies" set to: OFF

mepps added a comment.Jan 5 2018, 3:53 PM

@DStrine @Ppena Can we call this Resolved?

DStrine closed this task as Resolved.Jan 5 2018, 7:53 PM

We think this looks good. I'm resolving this and we'll run a test soon.